> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction History (KEYED)

`Applicable for querying futures transaction history`

#### Request URL

`GET https://cloud-api.wooxpro.com/contract/private/transaction-history`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request

```shell theme={null}
curl -H 'X-API-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/transaction-history?symbol=BTCUSDT&start_time=1662368173000&end_time=1662368179000
```

| Field       | Type   | Required? | Description                                                                                                                                                                   |
| :---------- | :----- | :-------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol      | String | No        | Symbol of the contract                                                                                                                                                        |
| flow\_type  | Int    | No        | Type <br />- `0` = All (default) <br />- `1` = Transfer <br />- `2` = Realized PNL <br />- `3` = Funding Fee <br />- `4` = Commission Fee <br />- `5` = Liquidation Clearance |
| account     | String | No        | Trading account <br />-`futures`<br />-`copy_trading`                                                                                                                         |
| start\_time | Long   | No        | Start time(Timestamp in Milliseconds)                                                                                                                                         |
| end\_time   | Long   | No        | End time(Timestamp in Milliseconds)                                                                                                                                           |
| page\_size  | Int    | No        | Default 100; max 1000                                                                                                                                                         |

* If `start_time` and `end_time` are not sent, only data from the last 7 days will be returned.
* If `type` is not sent, all types of account profit and loss transaction history will be returned.

#### Response Data

> Response

```json theme={null}
{
  "code": 1000,
  "message": "Ok",
  "data": [
    {
      "symbol": "",
      "type": "Transfer",
      "amount": "-0.37500000",
      "asset": "USDT",
      "account": "futures",
      "time": "1570608000000",
      "tran_id": "9689322392"
    },
    {
      "symbol": "BTCUSDT",
      "type": "Commission Fee",
      "amount": "-0.01000000",
      "asset": "USDT",
      "account": "futures",
      "time": "1570636800000",
      "tran_id": "9689322392"
    }
  ],
  "trace": "80ba1f07-1b6f-46ad-81dd-78ac7e9bbccd"
}
```

| Field      | Type   | Description                                                                                                                                                                   |
| :--------- | :----- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol     | String | Symbol of the contract                                                                                                                                                        |
| flow\_type | Int    | Type <br />- `0` = All (default) <br />- `1` = Transfer <br />- `2` = Realized PNL <br />- `3` = Funding Fee <br />- `4` = Commission Fee <br />- `5` = Liquidation Clearance |
| type       | String | Type <br />- `Transfer` <br />- `Realized PNL` <br />- `Funding Fee` <br />- `Commission Fee` <br />- `Liquidation Clearance`                                                 |
| account    | String | Trading account <br />-`futures`<br />-`copy_trading`                                                                                                                         |
| amount     | String | Amount, supports positive and negative values                                                                                                                                 |
| asset      | String | Transaction currency                                                                                                                                                          |
| time       | String | Transaction timestamp, timestamp in ms                                                                                                                                        |
| tran\_id   | String | Transaction ID                                                                                                                                                                |
